# 生产环境配置

# 数据源配置
spring:
  datasource:
    url: jdbc:mysql://127.0.0.1:3318/cms_demo?useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=Asia/Shanghai
    username: cms_demo
    password: EtzJFr4A3c4THZjY
    driver-class-name: com.mysql.cj.jdbc.Driver
    type: com.alibaba.druid.pool.DruidDataSource
    druid:
      remove-abandoned: true

  # redis
  redis:
    database: 0
    host: 132.232.214.96
    port: 16379
    password: redis_WSDb88

# 日志配置
logging:
  file:
    name: websoft-modules.log
  level:
    root: WARN
    com.gxwebsoft: ERROR
    com.baomidou.mybatisplus: ERROR

socketio:
  host: 0.0.0.0 #IP地址

# MQTT配置
mqtt:
  enabled: false  # 添加开关来禁用MQTT服务
  host: tcp://1.14.159.185:1883
  username: swdev
  password: Sw20250523
  client-id-prefix: hjm_car_
  topic: /SW_GPS/#
  qos: 2
  connection-timeout: 10
  keep-alive-interval: 20
  auto-reconnect: true

# 框架配置
config:
  # 生产环境接口
  server-url: https://server.websoft.top/api
  upload-path: /www/wwwroot/file.ws/

  # 阿里云OSS云存储
  endpoint: https://oss-cn-shenzhen.aliyuncs.com
  accessKeyId: LTAI4GKGZ9Z2Z8JZ77c3GNZP
  accessKeySecret: BiDkpS7UXj72HWwDWaFZxiXjNFBNCM
  bucketName: oss-gxwebsoft
  bucketDomain: https://oss.wsdns.cn
  aliyunDomain: https://oss-gxwebsoft.oss-cn-shenzhen.aliyuncs.com

# 生产环境证书配置
certificate:
  load-mode: VOLUME  # 生产环境从Docker挂载卷加载
  cert-root-path: /www/wwwroot/file.ws

# 支付配置缓存
payment:
  cache:
    # 支付配置缓存键前缀，生产环境使用 Payment:1* 格式
    key-prefix: "Payment:1"
    # 缓存过期时间（小时）
    expire-hours: 24

aliyun:
  knowledge-base:
    access-key-id: LTAI5tD5YRKuxWz6Eg7qrM4P
    access-key-secret: bO8TBDXflOwbtSKimPpG8XrJnyzgTk
    workspace-id: llm-4pf5auwewoz34zqu
    top-category-id: cate_1db52d0dad764658bb7057293f7e8033_10377381

ai:
  template:
    # Word 模板路径
    word-template-path: classpath:templates/audit_report_template.docx
    # 或者使用绝对路径
    # word-template-path: D:\\公司经济责任审计方案模板.docx